Subject: RE: Section 2.4, item (f) of draft-ietf-ipngwg-icmp-v3-04.txt

From: [email-masked]
Date: Fri, 6 Aug 2004 17:19:04 -0500

Pekka,

Do we need two implementations even for SHOULD items ?

I don't know of any.  I don't claim to know a lot of 
ICMP implementations though ;)

If we don't have 2 implementations, what should we do ?
Should we make "per node" as SHOULD and "per interface"
as MAY ?

Regards
Mukesh

> -----Original Message-----
> From: ext Pekka Savola [mailto:[email-masked]]
> Sent: Friday, August 06, 2004 8:51 AM
> To: Alex Conta
> Cc: Gupta Mukesh (Nokia-NET/MtView); [email-masked]
> Subject: Re: Section 2.4, item (f) of draft-ietf-ipngwg-icmp-v3-04.txt
> 
> 
> On Thu, 5 Aug 2004, Alex Conta wrote:
> > "The rate-limiting parameters SHOULD be configurable per node,
> > if the node has similar speed/bandwidth interfaces, and/or per 
> > interface, if the node has disimilar speed/bandwidth interfaces".
> 
> I'm slightly concerned whether we have two implementations of 
> interface-specific rate-limiting parameters, required for Draft 
> Standard.  Do you know of any?
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Alex Conta <[email-masked]>
Date: Mon, 09 Aug 2004 13:38:06 -0400

Mukesh,

It makes more sense to have ICMP rate limiting implemented through 
general traffic management mechanisms, rather than completely 
separately. Packet schedulers have an association with the egress 
(outgoing) interfaces.

About a year or more ago, when I last checked with a couple of popular 
router CLIs (Cisco, and some others) ICMP rate limiting was configurable 
per interface, and similarly to other protocols packet traffic shaping.

As a last resort - which I feel is not needed - an option would be to 
amend the text in a different way than changing SHOULD with MAY, which is:

"The rate-limiting parameters SHOULD be configurable per node,
if the node has similar speed/bandwidth interfaces, and/or per
interface, if the node has dissimilar speed/bandwidth interfaces, and 
has support for traffic shaping per interface."

Regards,
Alex